import test_setup
import sourcestats
import statnode
import utils

#---------------------------------------------------------------------------------------------------
# test PackageStatNode.ls()
#---------------------------------------------------------------------------------------------------
utils.header("testing PackageStatNode.ls() on the '.' package")
st   = sourcestats.SourceStats(".").stats
node = st.packages["."]
node.ls()
#---------------------------------------------------------------------------------------------------
# test ModuleStatNode.ls()
#---------------------------------------------------------------------------------------------------
utils.header("testing ModuleStatNode.ls() on the 'test_getnode.py' module")
node = st.packages["."].modules["test_getnode"]
node.ls()
#---------------------------------------------------------------------------------------------------
# test ClassStatNode.ls()
#---------------------------------------------------------------------------------------------------
utils.header("testing ClassStatNode.ls() on the SourceStats module")
st   = sourcestats.SourceStats("../sourcestats.py").stats
node = st.modules["sourcestats"].classes["SourceStats"]
node.ls()
