import test_setup
import sourcestats
import code_browser


cb = code_browser.CodeBrowser(sourcestats.SourceStats("../sourcestats.py"))
print "select all functions less than 10 loc in the whole module"
nodes = cb.select_nodes(cb.current_node,node_size=-10,node_type="function")
cb.print_nodes(nodes)
print "---------------------------------------"
print "select methods that have more than 10 loc in the SourceStats class"
nodes = cb.select_nodes(cb.stat.modules["sourcestats"].classes["SourceStats"],node_size=10)
cb.print_nodes(nodes)
print "---------------------------------------"
cb = code_browser.CodeBrowser(sourcestats.SourceStats("../reader.py"))
print "select anything more than 10 loc inside the Reader class"
nodes = cb.select_nodes(cb.stat.modules["reader"].classes["Reader"],node_size=10)
cb.print_nodes(nodes)
