import test_setup
import commands
import glob
import utils

problematic_files = []
filenames         = glob.glob("test_*.py")
output            = []

filenames.remove(__file__)

for filename in filenames:
    couple = [filename]
    status = commands.getstatusoutput("python "+filename)[0]
    if status :
        problematic_files.append(filename)
        couple.append("FAILED")
    else :
        couple.append("OK")
    output += [couple]

utils.align(output,"...")
if problematic_files :
    utils.header("FAILED TESTS")
    print "\n".join(("%s" % filename for filename in problematic_files))
    
    
    
