import test_setup
import sourcestats

def format_source(code_lines):
    return sorted("".join(code_lines).split("\n"))

st          = sourcestats.SourceStats("fake_sources/function_in_function.py").stats
node        = st.get_node("function_in_function/raise_problem")
codelines   = [code for code in node.get_code()]
sourcelines = open("fake_sources/function_in_function.py").readlines()

print "".join(codelines)
print "compare with the actual code"
print "-"*32
print "".join(sourcelines)

assert(format_source(codelines) == format_source(sourcelines))

